CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2018-14343

In Wireshark 2.6.0 to 2.6.1, 2.4.0 to 2.4.7, and 2.2.0 to 2.2.15, the ASN.1 BER dissector could crash. This was addressed in epan/dissectors/packet-ber.c by ensuring that length values do not exceed the maximum signed integer.
Publish Date : 2018-07-18 Last Update Date : 2018-09-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 190

- Products Affected By CVE-2018-14343

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 8.0 Version Details Vulnerabilities
2 Application Wireshark Wireshark 2.2.0 Version Details Vulnerabilities
3 Application Wireshark Wireshark 2.2.1 Version Details Vulnerabilities
4 Application Wireshark Wireshark 2.2.2 Version Details Vulnerabilities
5 Application Wireshark Wireshark 2.2.3 Version Details Vulnerabilities
6 Application Wireshark Wireshark 2.2.4 Version Details Vulnerabilities
7 Application Wireshark Wireshark 2.2.5 Version Details Vulnerabilities
8 Application Wireshark Wireshark 2.2.6 Version Details Vulnerabilities
9 Application Wireshark Wireshark 2.2.7 Version Details Vulnerabilities
10 Application Wireshark Wireshark 2.2.8 Version Details Vulnerabilities
11 Application Wireshark Wireshark 2.2.9 Version Details Vulnerabilities
12 Application Wireshark Wireshark 2.2.10 Version Details Vulnerabilities
13 Application Wireshark Wireshark 2.2.11 Version Details Vulnerabilities
14 Application Wireshark Wireshark 2.2.12 Version Details Vulnerabilities
15 Application Wireshark Wireshark 2.2.13 Version Details Vulnerabilities
16 Application Wireshark Wireshark 2.2.14 Version Details Vulnerabilities
17 Application Wireshark Wireshark 2.2.15 Version Details Vulnerabilities
18 Application Wireshark Wireshark 2.4.0 Version Details Vulnerabilities
19 Application Wireshark Wireshark 2.4.1 Version Details Vulnerabilities
20 Application Wireshark Wireshark 2.4.2 Version Details Vulnerabilities
21 Application Wireshark Wireshark 2.4.3 Version Details Vulnerabilities
22 Application Wireshark Wireshark 2.4.4 Version Details Vulnerabilities
23 Application Wireshark Wireshark 2.4.5 Version Details Vulnerabilities
24 Application Wireshark Wireshark 2.4.6 Version Details Vulnerabilities
25 Application Wireshark Wireshark 2.4.7 Version Details Vulnerabilities
26 Application Wireshark Wireshark 2.6.0 Version Details Vulnerabilities
27 Application Wireshark Wireshark 2.6.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Wireshark Wireshark 26

- References For CVE-2018-14343

https://www.wireshark.org/security/wnpa-sec-2018-37.html CONFIRM
http://www.securityfocus.com/bid/104847
BID 104847 Wireshark Multiple Denial of Service Vulnerabilities Release Date:2018-07-18
http://www.securitytracker.com/id/1041608
SECTRACK 1041608
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=14682 CONFIRM
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=9402f2f80c6bc7d25178a0875c5a1f5ee36361db CONFIRM
https://lists.debian.org/debian-lts-announce/2018/07/msg00045.html
MLIST [debian-lts-announce] 20180729 [SECURITY] [DLA 1451-1] wireshark security update

- Metasploit Modules Related To CVE-2018-14343

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.